net.minecraft.world.gen.structure

## Class MapGenVillage.Start

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureStart
  - - net.minecraft.world.gen.structure.MapGenVillage.Start

- Enclosing class:
    MapGenVillage

      public static class MapGenVillage.Start
      extends StructureStart

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureStart

      `boundingBox, components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGenVillage.Start()`
    `MapGenVillage.Start(World par1World, java.util.Random par2Random, int par3, int par4, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_143017_b(NBTTagCompound par1NBTTagCompound)`
    `void` | `func_143022_a(NBTTagCompound par1NBTTagCompound)`
    `boolean` | `isSizeableStructure()`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureStart

      `func_143018_f, func_143019_e, func_143020_a, func_143021_a, generateStructure, getBoundingBox, getComponents, markAvailableHeight, setRandomHeight, updateBoundingBox`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGenVillage.Start

          public MapGenVillage.Start()

    - #### MapGenVillage.Start

          public MapGenVillage.Start(World par1World,
                             java.util.Random par2Random,
                             int par3,
                             int par4,
                             int par5)

  - ### Method Detail

    - #### isSizeableStructure

          public boolean isSizeableStructure()

      Overrides:
        `isSizeableStructure` in class `StructureStart`

    - #### func_143022_a

          public void func_143022_a(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `func_143022_a` in class `StructureStart`

    - #### func_143017_b

          public void func_143017_b(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `func_143017_b` in class `StructureStart`